
set output "rk4-test.pdf"; set term pdf
set grid
set style data lines

set title "Circle test"
set key box opaque
set xlabel "t"
set ylabel "y"
plot "rk4-test.dat" using 1:2 lw 1.5 title "y", "" using 1:3 title "y'"

set title "Absolute y error (RK4, step=0.1)"
set nokey
set ylabel "err"
plot "rk4-test.dat" using 1:4 lw 1.5

set title "Circle test - phase space"
set xlabel "y"
set ylabel "y'"
set xrange [-1.7:1.7]   ## aspect-ratio correction
plot "rk4-test.dat" using 2:3 lw 1.5

